<jhi-title
    [title]="'pcidssApp.selfAssessment.home.title'"></jhi-title>
<div class="d-flex view-height">
    <jhi-shared-left-nav class="col-3 no-padding"></jhi-shared-left-nav>
    <div class="col-9 no-padding section-margin">
        <div class="card">
            <div class="card summary-card">
                <div class="card-header p-4">
                    <h4 class="text-center">Self-Assessment Questionnaire (SAQ) Summary</h4>
                </div>
                <div class="section-header">
                    <h6>Section 2: Self-Assessment Questionnaire D for Service Providers</h6>
                    <div class="mt-5">
                        <table class="show-in-des table table-striped row">
                            <thead>
                            <tr>
                                <th><label jhiTranslate="pcidssApp.selfAssessment.list.number">Requirement</label></th>
                                <th class="w-60"><label
                                    jhiTranslate="pcidssApp.selfAssessment.list.description">Description</label></th>
                                <th class="pr-5"><label
                                    jhiTranslate="pcidssApp.selfAssessment.list.status">Status</label></th>
                                <th class="action"><label
                                    jhiTranslate="pcidssApp.selfAssessment.list.action">Action</label></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr *ngFor="let requirement of requirements">
                                <td>{{requirement.requirementNumber}}</td>
                                <td>{{requirement.requirement}}</td>
                                <td [ngStyle]="{'color': requirement.requirementStatus === STATUS.TAKE ? '#e50000'
                    : (requirement.requirementStatus === STATUS.RESUME ? '#ff9200' : '#006400') }">
                                    {{requirement.requirementStatus === STATUS.TAKE ? 'New' :
                                    (requirement.requirementStatus === STATUS.RESUME ? 'Incomplete' : 'Complete')}}
                                </td>
                                <td [ngSwitch]="requirement.requirementStatus">
                                    <jhi-button *ngSwitchCase="STATUS.TAKE" take
                                                [class.disabled]="!requirement.available"
                                                (click)="goToRequirement(requirement)">
                                        Take
                                    </jhi-button>
                                    <jhi-button *ngSwitchCase="STATUS.RESUME" resume
                                                (click)="goToRequirement(requirement)">
                                        Resume
                                    </jhi-button>
                                    <jhi-button *ngSwitchCase="STATUS.REVISIT" revisit
                                                (click)="goToRequirement(requirement)">
                                        Revisit
                                    </jhi-button>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                        <div class="show-in-mob">
                            <div class="shadow-view" *ngFor="let requirement of requirements">
                                <div class="d-flex">
                                    <div class="col-5"><label
                                        jhiTranslate="pcidssApp.selfAssessment.lists.number">Requirement</label>&nbsp;
                                    </div>
                                    <div class="col-7 pr-3">{{requirement.requirementNumber}}</div>
                                </div>
                                <div class="d-flex">
                                    <div class="col-5"><label
                                        jhiTranslate="pcidssApp.selfAssessment.lists.description">Description</label>&nbsp;
                                    </div>
                                    <div class="col-7 pr-3">{{requirement.requirement}}</div>
                                </div>
                                <div class="d-flex mt-2">
                                    <div class="col-5"><label
                                        jhiTranslate="pcidssApp.selfAssessment.lists.status">Status</label>&nbsp;
                                    </div>
                                    <div class="col-7 pr-3" [ngStyle]="{'color': requirement.requirementStatus === STATUS.TAKE ? '#e50000'
                    :                       (requirement.requirementStatus === STATUS.RESUME ? '#ff9200' : '#006400') }">
                                        {{requirement.requirementStatus === STATUS.TAKE ? 'New' :
                                        (requirement.requirementStatus === STATUS.RESUME ? 'Incomplete' : 'Complete')}}
                                    </div>
                                </div>
                                <div class="d-flex">
                                    <div class="col-5"><label
                                        jhiTranslate="pcidssApp.selfAssessment.lists.action">Action</label></div>
                                    <div class="col-7 pr-3" [ngSwitch]="requirement.requirementStatus">
                                        <jhi-button *ngSwitchCase="STATUS.TAKE" take
                                                    [class.disabled]="!requirement.available"
                                                    (click)="goToRequirement(requirement)">
                                            Take
                                        </jhi-button>
                                        <jhi-button *ngSwitchCase="STATUS.RESUME" resume
                                                    (click)="goToRequirement(requirement)">
                                            Resume
                                        </jhi-button>
                                        <jhi-button *ngSwitchCase="STATUS.REVISIT" revisit
                                                    (click)="goToRequirement(requirement)">
                                            Revisit
                                        </jhi-button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row-md action-div mb-5">
                        <jhi-button cancel-lg (click)="onCancel()">Cancel</jhi-button>
                        <jhi-button submit-lg (click)="onSubmit()">Submit</jhi-button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
